<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\Penyakit;
use Illuminate\Http\Request;

class HpController extends Controller
{
    public function index()
    {
        $datas = [
            'titlePage' => 'Hp',
            'navLink' => 'hp',
            'dataPenyakit' => Penyakit::all()
        ];

        return view('Frontend.pages.hp', $datas);
    }

    public function show($id)
    {
        $penyakit = Penyakit::find($id);

        if (!$penyakit) {
            abort(404);
        }

        // Kirim navLink dan titlePage agar navbar tidak error
        return view('Frontend.pages.hp-detail', [
            'penyakit' => $penyakit,
            'navLink' => 'hp',
            'titlePage' => 'Hp'
        ]);
    }
}