@extends('Backend.layouts.main')

@section('content-wrapper')
    <div class="container-fluid">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-custom-2-800">
                <i class="fas fa-virus mr-1"></i>
                {{ $titlePage }}
            </h1>
        </div>

        <!-- Content Row -->
        <div class="card kartu-custom mb-5">
            <div class="card-header">
                <p class="m-0 p-0 text-custom"><b>Data Penyakit</b></p>
            </div>
            <div class="card-body">
                @if (session()->has('success'))
                    <svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
                        <symbol id="check-circle-fill" fill="currentColor" viewBox="0 0 16 16">
                            <path
                                d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" />
                        </symbol>
                        <symbol id="info-fill" fill="currentColor" viewBox="0 0 16 16">
                            <path
                                d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z" />
                        </symbol>
                        <symbol id="exclamation-triangle-fill" fill="currentColor" viewBox="0 0 16 16">
                            <path
                                d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z" />
                        </symbol>
                    </svg>
                    <div class="alert alert-success alert-dismissible fade show d-flex align-items-center" role="alert">
                        <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Success:">
                            <use xlink:href="#check-circle-fill" />
                        </svg>
                        <div>
                            {{ session('success') }}
                        </div>
                        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                    </div>
                @endif
                <a href="{{ URL::to('data-penyakit/create') }}" class="btn btn-outline-dark mb-3">
                    <i class="fas fa-plus"></i>
                    Tambah Data
                </a>
                <table class="table table-bordered custom-table" id="responsive-table">
                    <thead class="text-center ">
                        <tr>
                            <th class="align-middle">No.</th>
                            <th class="align-middle">Kode Penyakit</th>
                            <th class="align-middle">Nama Penyakit</th>
                            <th class="align-middle">Deskripsi </th>
                            <th class="align-middle">Solusi </th>
                            <th class="align-middle">Jenis </th>
                            <th class="align-middle">Aksi</th>
                        </tr>
                    </thead>
                    <tbody>
                        @php
                            $i = 1;
                        @endphp
                       @foreach ($dataPenyakit as $listPenyakit)
    <tr>
        <td class="align-middle text-center">{{ $i }}</td>
        <td class="align-middle text-center">{{ $listPenyakit->kode_penyakit }}</td>
        <td class="align-middle text-center">{{ $listPenyakit->nama_penyakit }}</td>
        <td class="align-middle">
            <p>{{ $listPenyakit->deskripsi }}</p>
        </td>
        <td class="align-middle">
            <ul>
                @foreach (json_decode($listPenyakit->solusi) as $solusiPenyakit)
                    <li>{{ $solusiPenyakit }}</li>
                @endforeach
            </ul>
        </td>
        <td class="align-middle text-center">
            {{ $listPenyakit->jenis }}
        </td>
        <td class="align-middle text-center">
            <a href="{{ URL::to('data-penyakit/' . $listPenyakit->id_penyakit) . '/edit' }}"
                class="btn btn-warning px-3">
                <i class="fas fa-edit me-2"></i>
                Edit
            </a>
            <form action="{{ URL::to('data-penyakit/' . $listPenyakit->id_penyakit) }}"
                method="POST" class="d-inline">
                @csrf
                @method('DELETE')
                <button class="btn btn-danger" type="submit">
                    <i class="fas fa-trash"></i>
                    Hapus
                </button>
            </form>
        </td>
    </tr>
    @php
        $i++;
    @endphp
@endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
@endsection
