@extends('Frontend.layouts.main')

@section('content-wrapper')
    <div class="container-fluid p-0 m-0 my-5">
        <h3 class="text-dark mb-5">Halaman Diagnosa</h3> <!-- Hapus text-custom -->
        <div class="card text-light ">
                <div class="card-header fw-bold text-white border-0" style="background-color: #4888db;">
                Konsultasi Gejala
            </div>
            <div class="card-body text-dark"> <!-- Hapus text-custom -->
                <form action="{{ URL::to('diagnosa') }}" method="post">
                    @csrf
                    <div class="mb-3 row">
                        <label for="nama" class="col-sm-2 col-form-label">Nama Pengunjung</label> <!-- Hapus text-custom -->
                        <div class="col-sm-10">
                            <input type="text" class="form-control text-dark @error('nama') is-invalid @enderror" id="nama" name="nama"
                                value="{{ old('nama') }}">
                            @error('nama')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>
                    </div>
                    <div class="mb-3 row">
                        <label for="alamat" class="col-sm-2 col-form-label">Alamat</label> <!-- Hapus text-custom -->
                        <div class="col-sm-10">
                            <textarea class="form-control text-dark @error('alamat') is-invalid @enderror" id="alamat" name="alamat"
                                rows="3">{{ old('alamat') }}</textarea>
                            @error('alamat')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>
                    {{-- </div>
                    <div class="mb-3 row">
                        <label for="jenis_musang" class="col-sm-2 col-form-label">Jenis Musang</label> <!-- Hapus text-custom -->
                        <div class="col-sm-10">
                            <input type="text" class="form-control text-dark @error('jenis_musang') is-invalid @enderror"
                                id="jenis_musang" name="jenis_musang" value="{{ old('jenis_musang') }}">
                            @error('jenis_musang')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                            @enderror
                        </div>
                    </div> --}}
                    @if (session()->has('error'))
                        <svg xmlns="http://www.w3.org/2000/svg" style="display: none;">
                            <symbol id="check-circle-fill" fill="currentColor" viewBox="0 0 16 16">
                                <path
                                    d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" />
                            </symbol>
                            <symbol id="info-fill" fill="currentColor" viewBox="0 0 16 16">
                                <path
                                    d="M8 16A8 8 0 1 0 8 0a8 8 0 0 0 0 16zm.93-9.412-1 4.705c-.07.34.029.533.304.533.194 0 .487-.07.686-.246l-.088.416c-.287.346-.92.598-1.465.598-.703 0-1.002-.422-.808-1.319l.738-3.468c.064-.293.006-.399-.287-.47l-.451-.081.082-.381 2.29-.287zM8 5.5a1 1 0 1 1 0-2 1 1 0 0 1 0 2z" />
                            </symbol>
                            <symbol id="exclamation-triangle-fill" fill="currentColor" viewBox="0 0 16 16">
                                <path
                                    d="M8.982 1.566a1.13 1.13 0 0 0-1.96 0L.165 13.233c-.457.778.091 1.767.98 1.767h13.713c.889 0 1.438-.99.98-1.767L8.982 1.566zM8 5c.535 0 .954.462.9.995l-.35 3.507a.552.552 0 0 1-1.1 0L7.1 5.995A.905.905 0 0 1 8 5zm.002 6a1 1 0 1 1 0 2 1 1 0 0 1 0-2z" />
                            </symbol>
                        </svg>
                        <div class="alert alert-danger alert-dismissible fade show d-flex align-items-center" role="alert">
                            <svg class="bi flex-shrink-0 me-2" width="24" height="24" role="img" aria-label="Danger:">
                                <use xlink:href="#exclamation-triangle-fill" />
                            </svg>
                            <div>
                                {{ session('error') }}
                            </div>
                            <button type="button" class="btn-close" data-bs-dismiss="alert"
                                aria-label="Close"></button>
                        </div>
                    @endif
                    <table class="table table-bordered" style="width: 100%"> <!-- Hapus custom-table -->
                        <colgroup>
                            <col span="1" style="width: 3%;">
                            <col span="1" style="width: 12%;">
                            <col span="1" style="width: 80%;">
                            <col span="1" style="width: 5%;">
                        </colgroup>
                        <thead>
                            <tr class="text-center">
                                <th>No.</th>
                                <th>Kode Gejala</th>
                                <th>Nama Gejala</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            @php
                                $i = 1;
                            @endphp
                            @foreach ($dataGejala as $gejala)
                                <tr>
                                    <td class="text-center">{{ $i }}</td>
                                    <td class="text-center">{{ $gejala['kode_gejala'] }}</td>
                                    <td>{{ $gejala['gejala'] }}</td>
                                    <td class="text-center">
                                        <input type="checkbox" name="resultGejala[]"
                                            value="{{ $gejala['kode_gejala'] }}"
                                            @if (is_array(old('resultGejala')) && in_array($gejala['kode_gejala'], old('resultGejala'))) checked @endif>
                                    </td>
                                </tr>

                                @php
                                    $i++;
                                @endphp
                            @endforeach
                        </tbody>
                    </table>
                    <div class="d-grid gap-2 d-md-flex justify-content-md-end">
                        <button class="btn btn-light fw-bold" type="submit"><i class="fa-solid fa-floppy-disk me-1"></i>
                            Proses Data
                        </button> <!-- Ubah btn-custom-2 menjadi btn-light -->
                        <button class="btn btn-secondary fw-bold" type="reset"><i class="fa-solid fa-ban me-1"></i>
                            Cancel
                        </button>
                    </div>
                </form>
            </div>
            <div class="card-footer"></div>
        </div>
    </div>
@endsection