@extends('Frontend.layouts.main')

@section('content-wrapper')
<div class="container my-4">
    <div class="row justify-content-center">
        <div class="col-lg-10">
            <h3 class="fw-bold text-dark mb-4">Daftar Penyakit</h3>
            <div class="card shadow-lg bg-white mb-5" style="border-radius: 16px;">
                <div class="card-body p-4">
                    <h3 class="mb-3 fw-bold text-dark">{{ $penyakit->nama_penyakit }}</h3>
                    <p class="mb-2 text-dark"><strong>Jenis:</strong> {{ $penyakit->jenis ?? '-' }}</p>
                    <p class="mb-2 text-dark"><strong>Deskripsi:</strong><br>
                        {{ $penyakit->deskripsi ?? '-' }}
                    </p>
                    <p class="mb-4 text-dark"><strong>Solusi:</strong><br>
                        @if(is_array(json_decode($penyakit->solusi, true)))
                            <ul class="mb-0 text-dark">
                                @foreach(json_decode($penyakit->solusi, true) as $solusi)
                                    <li>{{ $solusi }}</li>
                                @endforeach
                            </ul>
                        @else
                            {{ $penyakit->solusi ?? '-' }}
                        @endif
                    </p>
                    <a href="{{ route('hp.index') }}" class="btn btn-secondary btn-sm px-4">Kembali</a>
                </div>
                <div class="card-footer bg-white border-0 text-end py-2">
                  
                </div>
            </div>
        </div>
    </div>
</div>
@endsection