<?php

use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\Backend\DashboardController;
use App\Http\Controllers\Backend\DataBasisPengetahuanController;
use App\Http\Controllers\Backend\DataGejalaController;
use App\Http\Controllers\Backend\DataPenyakitController;
use App\Http\Controllers\Backend\DataRiwayatController;
use App\Http\Controllers\Backend\UbahPasswordController;
use App\Http\Controllers\Frontend\DiagnosaController;
use App\Http\Controllers\Frontend\HomeController;
use App\Http\Controllers\Frontend\HpController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware('guest')->group(function () {
    Route::get('/', [HomeController::class, 'index'])->name('login');
    Route::get('diagnosa', [DiagnosaController::class, 'index']);
    Route::post('diagnosa', [DiagnosaController::class, 'kalkulator']);
    Route::get('diagnosa/{data_diagnosa}', [DiagnosaController::class, 'showdata']);
    Route::get('diagnosa/{id}/cetak', [DiagnosaController::class, 'cetakDiagnosa'])->name('diagnosa.cetak');
    Route::get('hp', [HpController::class, 'index'])->name('hp.index');
    Route::get('hp/{id}', [HpController::class, 'show'])->name('hp-detail');
    Route::get('login', [LoginController::class, 'index']);
    Route::post('login', [LoginController::class, 'authenticate']);
});

Route::middleware('auth')->group(function () {
    Route::get('dashboard', [DashboardController::class, 'index']);
    Route::resource('data-penyakit', DataPenyakitController::class)->except('show');
    Route::resource('data-gejala', DataGejalaController::class)->except('show');
    Route::resource('data-basis-pengetahuan', DataBasisPengetahuanController::class)->except('show');
    Route::get('data-riwayat', [DataRiwayatController::class, 'index']);
    Route::get('data-riwayat/{id_diagnosa}', [DataRiwayatController::class, 'showdata']);
    Route::delete('data-riwayat/{id_diagnosa}', [DataRiwayatController::class, 'destroy']);
    Route::get('ubah-password', [UbahPasswordController::class, 'index']);
    Route::put('ubah-password', [UbahPasswordController::class, 'edit']);
    Route::post('logout', [LoginController::class, 'logout']);
});
